Show / Hide Table of Contents

# AsyncScrollTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncScrollTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IScrollHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncScrollTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IScrollHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnScrollAsyncHandler() |
GetOnScrollAsyncHandler(CancellationToken) |
OnScrollAsync() |
OnScrollAsync(CancellationToken) |

### Methods

#### GetOnScrollAsyncHandler()

    public IAsyncOnScrollHandler GetOnScrollAsyncHandler()

##### Returns

IAsyncOnScrollHandler

#### GetOnScrollAsyncHandler(CancellationToken)

    public IAsyncOnScrollHandler GetOnScrollAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnScrollHandler

#### OnScrollAsync()

    public UniTask<PointerEventData> OnScrollAsync()

##### Returns

UniTask<PointerEventData>

#### OnScrollAsync(CancellationToken)

    public UniTask<PointerEventData> OnScrollAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IScrollHandler